Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class PSWBgenImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.random.PSWBgenImpl

public class PSWBgenImpl
extends BaseImpl
implements SimpleRandomGenerator, SimpleRandomGeneratorS, PSWBgenS, PSWBgen

Subtract-with-borrow Congruential Generator with prime modulus. PSWB is an improvement on SWB in that the use of a prime modulus guarantees a single full cycle. It's slower, of course.

Constructor Summary
`PSWBgenImpl()`
`PSWBgenImpl(Zone aZone)`
`PSWBgenImpl(Zone aZone, int seed)`

Methods implemented by this class for interface swarm.random.SimpleGenerator
`getCurrentCount, getDoubleSample, getFloatSample, getThinDoubleSample, getUnsignedSample`

Methods implemented by this class for interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods implemented by this class for interface swarm.random.InternalState
`getMagic, getStateSize`

Methods implemented by this class for interface swarm.random.CommonGenerator
`getAntithetic, getInitialSeed, getMaxSeedValue, getUnsignedMax, lengthOfSeedVector, reset`

Methods implemented by this class for interface swarm.random.CommonGeneratorS
`setAntithetic, setStateFromSeed`

Methods implemented by this class for interface swarm.defobj.Drop
`drop`

Methods implemented by this class for interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods implemented by this class for interface swarm.defobj.GetName
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSWBgenImpl

    public PSWBgenImpl()

### PSWBgenImpl

    public PSWBgenImpl(Zone aZone,
                       int seed)

### PSWBgenImpl

    public PSWBgenImpl(Zone aZone)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD